package be.iminds.ilabt.jfed.rspec.model;

import be.iminds.ilabt.jfed.rspec.parser.ExtraXml;

/**
 * OpenflowDataPath
 */
public interface OpenflowDataPath {

    /** get all xml belonging to this OpenflowDataPath */
    ExtraXml getAsExtraXml();

    String getComponentManagerId();
    String getComponentId();
    String getDpid();
}
